Bug 129603 - [RFE] Means of dividing a channel into subchannels based on customer-specific rules
[RFE] Means of dividing a channel into subchannels based on customer-specific...
Status: CLOSED NEXTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.4
All Linux
high Severity medium (vote)
: Unspecified
: --
Assigned To: Katello Bug Bin
Katello QA List
: FutureFeature
Depends On:
Blocks: 490912
  Show dependency treegraph
 
Reported: 2004-08-10 16:11 EDT by Joe deBlaquiere
Modified: 2014-09-18 13:01 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-19 11:39:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe deBlaquiere 2004-08-10 16:11:37 EDT
Most RHN Satellite users (Goldman, Bank of America, Dreamworks, AOL, UBS to name
a few) work with a subset of the complete RHEL package set and would prefer to
divide it into smaller chunks rather than have 1200+ packages in the same
channel. What they are asking for is to have RHEL delivered as many channels
rather than one. The thing is they all use a different "core build".

Can we set up rules under the new channel model to allow them to define how a
channel is subdivided and have the resulting channels automatically inherit
appropriate updates/Errata rather than forcing them to clone a channel, remove
packages, and then manually clone the Errata?
Comment 7 Mike McCune 2014-06-19 11:39:46 EDT
This is solved via Satellite 6's Content Views feature.

You have the ability to filter specific packages and errata from within a repository (channel), combine those filtered repositories into a 'Content View' and then combine a series of Content Views into a larger view, known as a Composite Content View to completely customize the content made available to your end systems.

Note You need to log in before you can comment on or make changes to this bug.